{
  "schema_version": "1.4.0",
  "id": "GHSA-rfcp-m7v6-h4ff",
  "modified": "2022-05-13T01:26:11Z",
  "published": "2022-05-13T01:26:11Z",
  "aliases": [
    "CVE-2015-5707"
  ],
  "details": "Integer overflow in the sg_start_req function in drivers/scsi/sg.c in the Linux kernel 2.6.x through 4.x before 4.1 allows local users to cause a denial of service or possibly have unspecified other impact via a large iov_count value in a write request.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-5707"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/451a2886b6bf90e2fb378f7c46c655450fb96e81"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/fdc81f45e9f57858da6351836507fbcf1b7583ee"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1250030"
    },
    {
      "type": "WEB",
      "url": "https://source.android.com/security/bulletin/2017-07-01"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=451a2886b6bf90e2fb378f7c46c655450fb96e81"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=fdc81f45e9f57858da6351836507fbcf1b7583ee"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-09/msg00004.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-09/msg00018.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-09/msg00021.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-11/msg00026.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-11/msg00027.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-11/msg00028.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-11/msg00029.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-11/msg00030.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-11/msg00031.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-11/msg00032.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3329"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2015/08/01/6"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/76145"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1033521"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2733-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2734-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2737-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2738-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2750-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2759-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2760-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-10-19T10:59:00Z"
  }
}